      SUBROUTINE LEFT ( STRING )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          LEFT             **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          LEFT JUSTIFY
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CA  94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          REPLACES A STRING WITH THE SAME STRING LESS LEADING BLANKS.
C*
C*     INPUT ARGUMENTS :
C*          STRING - THE STRING TO BE LEFT JUSTIFIED.
C*
C*     OUTPUT ARGUMENTS :
C*          STRING - THE LEFT JUSTIFIED STRING (INPLACE).
C*
C*     INTERNAL WORK AREAS :
C*          NONE
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          NONE
C*
C*     DATA BASE ACCESS :
C*          NONE
C*
C*     SUBPROGRAM REFERENCES :
C*          NONE
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          NONE
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          NONE
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0     15-OCT-84
C*
C*     CHANGE HISTORY :
C*          15-OCT-84    INITIAL VERSION
C*
C***********************************************************************
C*
      CHARACTER *(*) STRING
C
      IF (STRING(1:1) .NE. ' ') RETURN
      L = LEN(STRING)
C
C --- FIND FIRST NON-BLANK CHARACTER
C
      DO 10 I=1,L
         IF (STRING(I:I) .NE. ' ') GO TO 20
10       CONTINUE
C
C --- ALL CHARACTERS WERE BLANK
C
      RETURN
C
20    STRING = STRING(I:L)
      RETURN
      END
C
C---END LEFT
C
